#pragma once
#include <map>
struct M_ActiveLoginData
{
	//天数
	int mDay;
	//类型
	int mType;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemNumber;
};

class M_ActiveLogin
{
public:
private:
	static std::auto_ptr<M_ActiveLogin> msSingleton;
public:
	int GetCount();
	const M_ActiveLoginData* GetData(int Day);
	const std::map<int, M_ActiveLoginData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActiveLogin* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActiveLoginData> mMapData;
};
